> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/read-license/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get license GET https://app.unleash-instance.example.com/api/admin/license **Enterprise feature** Reads the Unleash license. Only available for self-hosted Enterprise customers. Reference: https://docs.getunleash.io/api/read-license ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 licenseReadSchema - `isValid` (boolean, required) — Whether the license is valid or not. - `token` (string, optional) — The actual license token. - `customer` (string, optional) — Name of the customer that owns the license. This is the name of the company that purchased the license. - `type` (string, optional) — Type of license. - `instanceName` (string, optional) — Name of the Unleash instance where this license is valid. - `instanceId` (string, optional) — Identifier of the Unleash instance where this license is valid. - `plan` (string, optional) — Name of plan that the license is for. - `resources` (LicenseReadSchemaResources, optional) — The resources available in the license. - `expireAt` (string, optional) — Date when the license expires. - `issuedAt` (string, optional) — Date when the license was issued. ## Types ### LicenseReadSchemaResources The resources available in the license. - `seats` (double, optional) — Number of seats in the license. - `releaseTemplates` (double, optional) — Number of release templates in the license. - `edgeInstances` (double, optional) — Number of Edge instances in the license. - `readOnlyUsers` (double, optional) — Number of read-only users in the license. ## Examples **Response** ```json { "isValid": true, "token": "string", "customer": "string", "type": "string", "instanceName": "string", "instanceId": "string", "plan": "string", "resources": { "seats": 1.1, "releaseTemplates": 1.1, "edgeInstances": 1.1, "readOnlyUsers": 1.1 }, "expireAt": "2023-07-31T13:33:02Z", "issuedAt": "2023-07-31T13:33:02Z" } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/license" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/license'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/license" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/license") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/license") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/license', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/license"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/license")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```